#ifndef MOF_FILE_PATH_HPP
#define MOF_FILE_PATH_HPP

#include "mof/tstring.hpp"

namespace mof{

class FilePath{
	mof::tstring m_path;

public:
	FilePath(const mof::tstring& path);

	mof::tstring getFormat();
	mof::tstring& getPath();
	mof::tstring dir();
	mof::tstring basename();
};

}

#endif
